<template>
	<view class="content">
		<view class="row-box">
			<view class="title">转赠内容</view>
			<view class="row"><input class="input" type="text" v-model="withdrawal" :placeholder="withdrawal" placeholder-class="placeholder" disabled="" /></view>
		</view>
		<view class="row-box">
			<view class="title">收款人账户</view>
			<view class="row"><input class="input" type="text" v-model="card" placeholder="请输入收款人账户" placeholder-class="placeholder" /></view>
		</view>

		<button class="add-btn up" :class="{ action: loding }" @click="!loding ? confirm() : ''">转入</button>
	</view>
</template>

<script>
import { getMoneyStyle } from '@/utils/rocessor.js';
import { getUserInfo, transfer } from '@/api/user.js';
import { mapMutations, mapState } from 'vuex';
export default {
	filters: {
		getMoneyStyle
	},
	data() {
		return {
			id: '', //券码id
			withdrawal: '', //提现金额
			card: '', //转账卡号
			name: '',
			// #ifdef H5
			weichatBsrowser: false,
			// #endif
			loding: false
		};
	},
	onLoad(options) {
		if (options.id) {
			this.id = options.id;
		}
		if (options.nickname) {
			this.withdrawal = options.nickname;
		}
		// #ifdef H5
		this.weichatBsrowser = uni.getStorageSync('weichatBrowser');
		// #endif
		this.dataUp();
	},
	computed: {
		...mapState(['userInfo'])
	},
	methods: {
		...mapMutations(['setUserInfo', 'login']),
		// 更新数据
		dataUp() {
			let obj = this;
			getUserInfo({})
				.then(e => {
					obj.login();
					// 保存返回用户数据
					obj.setUserInfo(e.data);
				})
				.catch(e => {
					console.log(e);
				});
		},
		// 切换选中对象
		tabRadio(e) {
			this.type = e.detail.value;
		},
		// 提交
		confirm() {
			let obj = this;
			obj.loding = true;
			if (obj.card == obj.userInfo.uid) {
				obj.loding = false;
				uni.showModal({
					title: '提示',
					content: '不要输入自己的用户编号'
				});
			} else {
				let data = {
					uid: obj.card //编号
				};
				transfer(data, obj.id)
					.then(e => {
						// 允许按钮点击
						obj.loding = false;
						// 初始化提现金额
						uni.showToast({
							title: '转赠成功',
							duration: 2000,
							position: 'top'
						});
						obj.dataUp();
					})
					.catch(e => {
						obj.$api.msg(e.msg);
						obj.loding = false;
						console.log();
					});
			}
		}
	}
};
</script>

<style lang="scss">
page {
	height: 100%;
}

.row-box {
	margin-top: 30rpx;
	padding: 20rpx 30rpx;
	background: #fff;
	.title {
		font-size: $font-base + 2rpx;
		color: $font-color-dark;
	}
	.row {
		display: flex;
		align-items: center;
		position: relative;
		height: 80rpx;
		.tit {
			flex-shrink: 0;
			width: 40rpx;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.input {
			flex: 1;
			font-size: 30rpx;
			color: $font-color-dark;
		}
		.iconlocation {
			font-size: 36rpx;
			color: $font-color-light;
		}

		.buttom {
			color: $base-color;
			font-size: $font-base;
		}
	}
}
.add-btn {
	background: $base-color;
	display: flex;
	align-items: center;
	justify-content: center;
	width: 690rpx;
	height: 80rpx;
	margin: 0 auto;
	margin-top: 30rpx;
	font-size: $font-lg;
	border-radius: 10rpx;
	color: #fff;
	// box-shadow: 1px 2px 5px rgba(219, 63, 96, 0.4);
}
.name {
	background: #fff;
	padding: 30rpx;
}
.list {
	padding-left: 30rpx;
	margin-top: 30rpx;
	background-color: #ffffff;
	.box {
		display: flex;
		align-items: center;
		width: 100%;
		height: 120rpx;
		border-bottom: 1px solid $border-color-light;
		.icon {
			font-size: 48rpx;
			padding-right: 20rpx;
			.icon-img {
				height: 50rpx;
				width: 50rpx;
			}
		}
		.iconweixin1 {
			color: #18bf16;
		}
		.iconzhifubao {
			color: #08aaec;
		}
		.title-box {
			flex-grow: 1;
			text-align: left;
			.title {
				font-size: $font-base + 2rpx;
				color: $font-color-base;
			}
			.node {
				font-size: $font-sm;
				color: $font-color-light;
			}
		}
	}
}
/deep/ .uni-radio-input {
	width: 45rpx;
	height: 45rpx;
}
</style>
